GoCardlessDeveloper Docs
Create a sandbox account

Payment Account

View as Markdown

Access the details of bank accounts provided for you by GoCardless that are used to fund Outbound Payments.

Get a single payment account details#

GET/payment_accounts/{payment_account_id}

Retrieves the details of an existing payment account.

Path Parameters

NameTypeDescription
payment_account_idrequiredstring

The payment account id

GET https://api.gocardless.com/payment_accounts/BA123 HTTP/1.1
Responsehttp
HTTP/1.1 200 OK
Content-Type: application/json
{
  "payment_accounts": {
    "id": "BA123",
    "account_holder_name": "Acme",
    "account_number_ending": "11",
    "currency": "GBP",
    "bank_name": "BARCLAYS BANK PLC",
    "links": {
      "creditor": "CR123"
    },
    "account_balance": 1000
  }
}
Response 200

Successful response

payment_accountsobject
7 properties
idstring

Unique identifier, beginning with "BA".

account_holder_namestring

Name of the account holder, as known by the bank. Usually this is the same as the name stored with the linked creditor. This field will be transliterated, upcased and truncated to 18 characters.

account_number_endingstring

The last few digits of the account number. Currently 4 digits for NZD bank accounts and 2 digits for other currencies.

currencystring

ISO 4217 currency code. Currently "AUD", "CAD", "DKK", "EUR", "GBP", "NZD", "SEK" and "USD" are supported.

bank_namestring

Name of bank, taken from the bank details.

linksobject
1 properties
creditorstring

ID of the creditor that owns this bank account.

account_balanceinteger

Current balance on a payment account in the lowest denomination for the currency (e.g. pence in GBP, cents in EUR). It is time-sensitive as it is ever changing.

Errors 400401404422500
400

Bad Request

401

Unauthorised

404

Not found

422

Validation Error

500

Internal Error

Error Body
codeinteger
documentation_urlstring
errorsarray
2 properties
reasonstring
messagestring
messagestring
request_idstring
typestring
metadataobject
linksobject

List payment accounts#

GET/payment_accounts

Returns a cursor-paginated list of your payment accounts.

GET https://api.gocardless.com/payment_accounts HTTP/1.1
Responsehttp
HTTP/1.1 200 OK
Content-Type: application/json
{
  "meta": {
    "cursors": {
      "before": null,
      "after": "BA123"
    },
    "limit": 50
  },
  "payment_accounts":[{
    "id": "BA123",
    "account_holder_name": "Acme",
    "account_number_ending": "11",
    "currency": "GBP",
    "bank_name": "BARCLAYS BANK PLC",
    "links": {
      "creditor": "CR123"
    },
    "account_balance": 1000
  }]
}
Response 200

Successful response

payment_accountsarray
7 properties
idstring

Unique identifier, beginning with "BA".

account_holder_namestring

Name of the account holder, as known by the bank. Usually this is the same as the name stored with the linked creditor. This field will be transliterated, upcased and truncated to 18 characters.

account_number_endingstring

The last few digits of the account number. Currently 4 digits for NZD bank accounts and 2 digits for other currencies.

currencystring

ISO 4217 currency code. Currently "AUD", "CAD", "DKK", "EUR", "GBP", "NZD", "SEK" and "USD" are supported.

bank_namestring

Name of bank, taken from the bank details.

linksobject
1 properties
creditorstring

ID of the creditor that owns this bank account.

account_balanceinteger

Current balance on a payment account in the lowest denomination for the currency (e.g. pence in GBP, cents in EUR). It is time-sensitive as it is ever changing.

metaobject
2 properties
limitinteger
cursorsobject
2 properties
beforestring

Cursor pointing to the end of the desired set.

afterstring

Cursor pointing to the start of the desired set.

Errors 400401404422500
400

Bad Request

401

Unauthorised

404

Not found

422

Validation Error

500

Internal Error

Error Body
codeinteger
documentation_urlstring
errorsarray
2 properties
reasonstring
messagestring
messagestring
request_idstring
typestring
metadataobject
linksobject